Package com.massivecraft.factions.zcore.nbtapi

## Class NBTEntity

- java.lang.Object
- - com.massivecraft.factions.zcore.nbtapi.NBTCompound
  - - com.massivecraft.factions.zcore.nbtapi.NBTEntity

    public class NBTEntity
    extends NBTCompound

### Constructor Summary

Constructors
Constructor | Description
--- | ---
`NBTEntity​(org.bukkit.entity.Entity entity)` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`protected java.lang.Object` | `getCompound()` |
`protected void` | `setCompound​(java.lang.Object compound)` |

### Methods inherited from class com.massivecraft.factions.zcore.nbtapi.NBTCompound

`addCompound, asNBTString, getBoolean, getByte, getByteArray, getCompound, getContent, getDouble, getFloat, getIntArray, getInteger, getKeys, getList, getLong, getName, getObject, getParent, getShort, getString, getType, hasKey, mergeCompound, removeKey, set, setBoolean, setByte, setByteArray, setDouble, setFloat, setIntArray, setInteger, setLong, setObject, setShort, setString, toString, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NBTEntity

    public NBTEntity​(org.bukkit.entity.Entity entity)

### Method Detail

#### getCompound

    protected java.lang.Object getCompound()

Overrides:
  `getCompound` in class `NBTCompound`

#### setCompound

    protected void setCompound​(java.lang.Object compound)

Overrides:
  `setCompound` in class `NBTCompound`